#!/usr/bin/python

# WATO declaration for the check parameters of foo
register_check_parameters(
    "Networking",  # main topic for this rule in WATO
    "cisco_stptopo",         # name of WATO group, was declared in check (not always name of check)
    "Cisco Spanning-Tree Topology Changes", # title of the WATO ruleset
    Tuple(
        title = _("Time offset"),
        help = _("This rule sets the parameters for the Cisco Spanning-Tree Topology Changes"),
        elements = [
           Checkbox( title = _("Always OK "), label = _("Enable"),
                       help = _("Always return state as OK")),
           Integer(title = _("Warning below "), unit = _("Seconds"), default_value = 900),
           Integer(title = _("Critical below "), unit = _("Seconds"), default_value = 600),
        ]
    ),
    None, # Check has no item
    None, # Match type, always None here
)

